Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035342
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2017-02-22 16:002017-03-20 18:31
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in Version
StatusresolvedFix in branchFixed in SCM revision518eaa255ef0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035342: API change: size of column EM_OBDISC_IDENTIFIER has been increased

DescriptionColumn EM_OBDISC_IDENTIFIER of table C_ORDERLINE_OFFER has been modified, before it had maximum length 50, and now it's 100.

The reason for this is that sometimes, a discount name was long and although it fit in this column, the additional information that some rules added was lost.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0094541)
hgbot (developer)
2017-02-22 16:04

Repository: retail/api-checks-retail
Changeset: 518eaa255ef0bbabdf49b69a19eea32d09cadb30
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Feb 22 16:04:39 2017 +0100
URL: http://code.openbravo.com/retail/api-checks-retail/rev/518eaa255ef0bbabdf49b69a19eea32d09cadb30 [^]

Fixed issue 35342. API change applied.

---
M model/modules/org.openbravo.retail.discounts/src-db/database/model/modifiedTables/C_ORDERLINE_OFFER.xml
M model/modules/org.openbravo.retail.discounts/src-db/database/sourcedata/AD_COLUMN.xml
---
(0095438)
dmitry_mezentsev (developer)
2017-03-20 18:31

Not closed for 26 days!!
Please react.

- Issue History
Date Modified Username Field Change
2017-02-22 16:00 marvintm New Issue
2017-02-22 16:00 marvintm Assigned To => Retail
2017-02-22 16:00 marvintm Triggers an Emergency Pack => No
2017-02-22 16:04 hgbot Checkin
2017-02-22 16:04 hgbot Note Added: 0094541
2017-02-22 16:04 hgbot Status new => resolved
2017-02-22 16:04 hgbot Resolution open => fixed
2017-02-22 16:04 hgbot Fixed in SCM revision => http://code.openbravo.com/retail/api-checks-retail/rev/518eaa255ef0bbabdf49b69a19eea32d09cadb30 [^]
2017-03-01 15:17 marvintm Assigned To Retail => marvintm
2017-03-20 18:31 dmitry_mezentsev Note Added: 0095438


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker